### Name: dsCMatrix-class
### Title: Numeric Symmetric Sparse (column compressed) Matrices
### Aliases: dsCMatrix-class dsTMatrix-class
###   solve,dsCMatrix,dsparseMatrix-method solve,dsCMatrix,matrix-method
###   solve,dsCMatrix,numeric-method solve,dsCMatrix,ddenseMatrix-method
###   chol,dsCMatrix,missing-method chol,dsCMatrix,logical-method
###   t,dsCMatrix-method t,dsTMatrix-method
###   coerce,dgeMatrix,dsCMatrix-method coerce,dsCMatrix,dgCMatrix-method
###   coerce,dsCMatrix,dgTMatrix-method coerce,dsCMatrix,dgeMatrix-method
###   coerce,dsCMatrix,dsTMatrix-method coerce,dsCMatrix,dsyMatrix-method
###   coerce,dsCMatrix,lsCMatrix-method coerce,dsCMatrix,nsCMatrix-method
###   coerce,dsCMatrix,matrix-method coerce,dgeMatrix,dsTMatrix-method
###   coerce,dsTMatrix,dgTMatrix-method coerce,dsTMatrix,dgeMatrix-method
###   coerce,dsTMatrix,dsCMatrix-method coerce,dsTMatrix,dsyMatrix-method
###   coerce,dsTMatrix,lsTMatrix-method coerce,dsTMatrix,matrix-method
###   coerce,dsyMatrix,dsCMatrix-method coerce,dsyMatrix,dsTMatrix-method
###   coerce,matrix,dsCMatrix-method coerce,matrix,dsTMatrix-method
###   coerce,graphNEL,dsCMatrix-method determinant,dsCMatrix,missing-method
###   determinant,dsCMatrix,logical-method image,dsCMatrix-method
### Keywords: classes algebra

### ** Examples

## First a "dgCMatrix"
mm <- Matrix(toeplitz(c(10, 0, 1, 0, 3)), sparse = TRUE)
mT <- as(mm, "dgTMatrix")
(symM <- as(mT, "dsCMatrix"))
str(symM)
sym2 <- as(symM, "TsparseMatrix")
stopifnot(class(sym2) == "dsTMatrix",
          identical(sym2[1,], symM[1,]),
          identical(sym2[,2], symM[,2]))



